import { SnapshotName } from '@neo-one/node-core';
import { SnapshotMethods } from './Methods';
import { DispatcherFunc } from './types';
interface SnapshotDispatcher {
    readonly dispatch: DispatcherFunc<SnapshotMethods>;
}
export declare class SnapshotHandler {
    private readonly dispatch;
    private readonly snapshot;
    private readonly cloneInternal;
    constructor(dispatcher: SnapshotDispatcher, snapshot: SnapshotName);
    commit(): boolean;
    getChangeSet(): import("@neo-one/node-core/dist/esm").Batch[];
    clone(): void;
    reset(): boolean;
}
export {};
